<script setup lang="ts">
import { onMounted, watchEffect } from 'vue'
import { storeToRefs } from 'pinia'
import { useStatusesStore } from '@/stores/statuses.ts'

const statusesStore = useStatusesStore()
const { statuses } = storeToRefs(statusesStore)

watchEffect(async () => await statusesStore.findAll())

onMounted(async () => {})
</script>

<template>
  <div>
    <div v-for="status in statuses" :key="status.id">
      {{ status.name }} - {{ status.description }} - {{ status.position }}
    </div>
  </div>
</template>

<style scoped lang="scss"></style>
